### Property

# EDataServerUI CredentialsPrompter:auto-prompt

since: 3.16

#### Declaration

    property auto-prompt: gboolean [ read, write, construct ]

#### Description [src]

Whether the `ECredentialsPrompter` can response to credential requests automatically.

Type:`gboolean`

Available since: 3.16

Default value | TRUE
Getter method | `e_credentials_prompter_get_auto_prompt()`
Setter method | `e_credentials_prompter_set_auto_prompt()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no